package com.ruoyi.dz.mapper;

import java.util.List;
import com.ruoyi.dz.domain.DzSubject;

/**
 * 科目Mapper接口
 * 
 * @author ruoyi
 * @date 2025-09-27
 */
public interface DzSubjectMapper 
{
    public List<DzSubject> selectDzSubjectBySubjectIds(Long[] subjectIds);
    /**
     * 查询科目
     * 
     * @param subjectId 科目主键
     * @return 科目
     */
    public DzSubject selectDzSubjectBySubjectId(Long subjectId);

    /**
     * 查询科目列表
     * 
     * @param dzSubject 科目
     * @return 科目集合
     */
    public List<DzSubject> selectDzSubjectList(DzSubject dzSubject);
    public List<DzSubject> selectWrongSubjectList(Long studentId);

    /**
     * 新增科目
     * 
     * @param dzSubject 科目
     * @return 结果
     */
    public int insertDzSubject(DzSubject dzSubject);

    /**
     * 修改科目
     * 
     * @param dzSubject 科目
     * @return 结果
     */
    public int updateDzSubject(DzSubject dzSubject);

    /**
     * 删除科目
     * 
     * @param subjectId 科目主键
     * @return 结果
     */
    public int deleteDzSubjectBySubjectId(Long subjectId);

    /**
     * 批量删除科目
     * 
     * @param subjectIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDzSubjectBySubjectIds(Long[] subjectIds);
}
